Index: lisp/gnus-srvr.el
===================================================================
RCS file: /usr/local/cvsroot/gnus/lisp/gnus-srvr.el,v
retrieving revision 6.23
diff -u -F^( -r6.23 gnus-srvr.el
--- lisp/gnus-srvr.el	2002/02/20 00:15:31	6.23
+++ lisp/gnus-srvr.el	2002/04/12 03:21:47
@@ -380,7 +380,11 @@ (defun gnus-server-set-info (server info
      (concat "(gnus-server-set-info \"" server "\" '"
 	     (prin1-to-string info) ")"))
     (let* ((server (nth 1 info))
-	   (entry (assoc server gnus-server-alist)))
+	   (entry (assoc server gnus-server-alist))
+	   (cached (assoc server gnus-server-method-cache)))
+      (if cached
+	  (setq gnus-server-method-cache
+		(delq cached gnus-server-method-cache)))
       (if entry (setcdr entry info)
 	(setq gnus-server-alist
 	      (nconc gnus-server-alist (list (cons server info))))))))
